Error
A valid request URL is required to generate request examples{
"sysidSwitchDeviceType": 12345,
"sysidSwitchDevice": 12345,
"sysidAccount": 12345,
"deviceType": {
"description": "...",
"deviceResources": [
{
"name": "...",
"sysidSwitchDeviceResource": 12345,
"languageTagKey": "...",
"description": "...",
"sysidAttributeDataType": 12345
},
{
"name": "...",
"sysidSwitchDeviceResource": 12345,
"languageTagKey": "...",
"description": "...",
"sysidAttributeDataType": 12345
}
],
"name": "...",
"deviceUsers": [
{
"description": "...",
"name": "...",
"sysidSwitchDeviceUser": 12345,
"sysidAttributeDataType": 12345,
"languageTagKey": "..."
},
{
"description": "...",
"name": "...",
"sysidSwitchDeviceUser": 12345,
"sysidAttributeDataType": 12345,
"languageTagKey": "..."
}
],
"sysidSwitchDeviceType": 12345,
"languageTagKey": "..."
},
"name": "...",
"comments": "..."
}AccountService
Get accountsswitchdevice
Retreives the SwitchDevice for the account of the logged user identified by the given deviceId. The requesting User must have the following rights to perform this task: Rights Required AuthRuleType.MANAGE_SYSTEM REQUIRED This operation returns a SwitchDevice value.
The requesting User must have the following rights to perform this task:
This operation returns a SwitchDevice value.
GET
/
accounts
/
switchdevice
/
{deviceId}
Error
A valid request URL is required to generate request examples{
"sysidSwitchDeviceType": 12345,
"sysidSwitchDevice": 12345,
"sysidAccount": 12345,
"deviceType": {
"description": "...",
"deviceResources": [
{
"name": "...",
"sysidSwitchDeviceResource": 12345,
"languageTagKey": "...",
"description": "...",
"sysidAttributeDataType": 12345
},
{
"name": "...",
"sysidSwitchDeviceResource": 12345,
"languageTagKey": "...",
"description": "...",
"sysidAttributeDataType": 12345
}
],
"name": "...",
"deviceUsers": [
{
"description": "...",
"name": "...",
"sysidSwitchDeviceUser": 12345,
"sysidAttributeDataType": 12345,
"languageTagKey": "..."
},
{
"description": "...",
"name": "...",
"sysidSwitchDeviceUser": 12345,
"sysidAttributeDataType": 12345,
"languageTagKey": "..."
}
],
"sysidSwitchDeviceType": 12345,
"languageTagKey": "..."
},
"name": "...",
"comments": "..."
}Path Parameters
: Integer ID of the SwitchDevice
Response
200 - application/json
SwitchDeviceData returnType com.agilquest.phoenix.shared.data.switchdevice.SwitchDeviceData
Show child attributes
Show child attributes
Example:
{
"description": "...",
"deviceResources": [
{
"name": "...",
"sysidSwitchDeviceResource": 12345,
"languageTagKey": "...",
"description": "...",
"sysidAttributeDataType": 12345
},
{
"name": "...",
"sysidSwitchDeviceResource": 12345,
"languageTagKey": "...",
"description": "...",
"sysidAttributeDataType": 12345
}
],
"name": "...",
"deviceUsers": [
{
"description": "...",
"name": "...",
"sysidSwitchDeviceUser": 12345,
"sysidAttributeDataType": 12345,
"languageTagKey": "..."
},
{
"description": "...",
"name": "...",
"sysidSwitchDeviceUser": 12345,
"sysidAttributeDataType": 12345,
"languageTagKey": "..."
}
],
"sysidSwitchDeviceType": 12345,
"languageTagKey": "..."
}

